
package com.icomsys.main_vm.biz.common.system.vo;

import com.icomsys.main_vm.db.jpa.entity.system.TbBotCommonCode;
import com.icomsys.main_vm.db.jpa.entity.system.id.TbBotCommonCodeId;
import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;

@Getter
@Setter
@NoArgsConstructor
public class SystemCommoncodeUpdateReq {

    private String custCode;
    private String serviceGroupName;
    private String serviceGroup;
    private String oprMngCode;
    private String minorCode;
    private String majorCode;
    private String codeName;
    private String attribute1;
    private String attribute2;
    private String attribute3;

    public SystemCommoncodeUpdateReq(String custCode, String serviceGroupName, String serviceGroup, String oprMngCode, String minorCode, String majorCode, String codeName, String attribute1, String attribute2, String attribute3) {
        this.custCode = custCode;
        this.serviceGroupName = serviceGroupName;
        this.serviceGroup = serviceGroup;
        this.oprMngCode = oprMngCode;
        this.minorCode = minorCode;
        this.majorCode = majorCode;
        this.codeName = codeName;
        this.attribute1 = attribute1;
        this.attribute2 = attribute2;
        this.attribute3 = attribute3;
    }

    public TbBotCommonCodeId toId() {
        return TbBotCommonCodeId.builder()
                .custCode(this.custCode)
                .oprMngCode(this.oprMngCode)
                .majorCode(this.majorCode)
                .minorCode(this.minorCode)
                .build();
    }

}

